﻿/* DataTables toolbar */
ul.dataTables_toolbar {
    display: block;
    overflow: hidden;
    background: #ccc;
}

    ul.dataTables_toolbar li {
        display: inline;
        float: left;
        position: relative;
        margin: 0 8px;
    }

    ul.dataTables_toolbar label {
        height: 32px;
        margin: 10px 0;
    }

img#imgloader {
    vertical-align: middle;
    display: inline;
}

ul.dataTables_toolbar label#lblloading {
    height: 32px;
    display: inline-block;
    border: 0px solid #ffcc00;
    vertical-align: middle;
    line-height: 32px;
}

.dataTables_wrapper tr td, .dataTables_wrapper tr th {
    vertical-align: middle;
    padding: 0 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.dataTables_wrapper td.lastBeat {
    padding: 0;
    text-overflow: clip;
    width: 160px;
}

.lastCheck {
    font-size: 11px;
}

.stop_reload {
    font-size: 11px;
    display: none;
}

.dataTables_wrapper th.beatTimings {
    padding: 0;
}

.dataTables_wrapper .draggable {
    background-image: url('../img/icon_sprite_ex.png');
    background-position: -308px -2px;
    background-repeat: no-repeat;
    cursor:grab;
}

.dataTables_wrapper th.beatTimings span:first-child {
    padding: 13px;
}

td span.snapshot, td span.protected, td span.not-scheduled, td span.not-working {
    height: 45px;
    width: 80px;
    display: block;
    margin: 0 20px;
    background: url("/img/icon_sprite_24.png") no-repeat -370px 0;
}

td span.protected {
    background-position: -370px -50px;
}

td span.not-scheduled {
    background-position: -450px -50px;
}

td span.not-working {
    background-position: -450px 0;
}

.dataTable tr.hidden-row, .dataTable tr.hidden-row.ui-state-hover {
    background: #eee;
    color: #bbb;
}

/*--Overrides for Content Grid on Upload-Content landing-page--*/
.dataTables_wrapper {
    border-radius: 0;
    border: 0;
    border-bottom: 1px solid #BBB;
    margin-bottom: 20px;
}

    .dataTables_wrapper .ui-widget-header {
        border: 0;
        background: #E5E5E5;
        height: 52px;
        border-radius: 0;
    }

.dataTables_processing {
    position: absolute;
    top: 16px;
    left: 403px;
    width: 170px;
    margin: 0 auto;
    text-align: center;
    color: #888;
    font-size: 11px;
    padding: 4px 0;
}

.dataTables_length {
    float: left;
    text-align: left;
    padding: 10px 10px 10px 6px;
    height: 32px;
}

    .dataTables_length label {
        width: 170px;
    }

    .dataTables_length select {
        float: right;
        width: 80px;
    }

/* Datatables filter for the entity dashboard pages */
.grid_10 .dataTables_filter {
    float: right;
    text-align: left;
    padding: 10px;
    height: 32px;
}

    .grid_10 .dataTables_filter input[type="search"] {
        width: 170px;
        margin-left: 8px;
    }

/* Datatables filter control for the entity search */
.grid_4 .dataTables_filter {
    border: 0;
    border-top: 1px solid #bbb;
    border-bottom: 1px solid #bbb;
    padding: 0.5em 0;
}

    .grid_4 .dataTables_filter input[type="search"] {
        width: 320px;
        margin-left: 8px;
    }

.add-content .dataTables_scroll .entity-name {
    max-width: 220px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.add-content .dataTables_scroll .entity-preview input[type="button"] {
    width: 25px;
    height: 25px;
    text-indent: -1000px;
    overflow: hidden;
    border: none;
    background-color: transparent;
    background-image: url('../img/icon_sprite.png');
    background-position: -187px 0;
}

    .add-content .dataTables_scroll .entity-preview input[type="button"]:hover {
        background-position: -187px -36px;
        cursor: pointer;
    }

.dataTables_wrapper .ui-state-default,
.dataTables_wrapper .ui-widget-content .ui-state-default,
.dataTables_wrapper .ui-widget-header .ui-state-default {
    background: #FFFFFF;
    border: 0;
}

.dataTables_wrapper .ui-state-hover,
.dataTables_wrapper .ui-widget-content .ui-state-hover,
.dataTables_wrapper .ui-widget-header .ui-state-hover,
.dataTables_wrapper .ui-state-focus,
.dataTables_wrapper .ui-widget-content .ui-state-focus,
.dataTables_wrapper .ui-widget-header .ui-state-focus {
    background: transparent;
}

.dataTables_wrapper .ui-state-highlight,
.dataTables_wrapper .ui-widget-content .ui-state-highlight,
.dataTables_wrapper .ui-widget-header .ui-state-highlight {
    background: transparent;
}

.dataTables_wrapper table {
    width: 100%;
    font-size: 12px;
    table-layout: fixed;
}

.dataTables_wrapper div.dataTables_scrollHead table thead {
    border-bottom: 1px solid #BBB;
}

.dataTables_wrapper table thead .DataTables_sort_wrapper {
    font-weight: bold;
    position: relative;
    line-height: 30px;
}

    .dataTables_wrapper table thead .DataTables_sort_wrapper:hover {
        cursor: pointer;
    }

    .dataTables_wrapper table thead .DataTables_sort_wrapper .DataTables_sort_icon {
        display: inline-block;
        top: 4px;
        left: 0;
        position: relative;
    }

.dataTables_wrapper table tr {
    line-height: 30px;
}

    .dataTables_wrapper table tr.even {
        background-color: #EEE;
    }

.dataTables_wrapper table td.center {
    text-align: center;
}

.dataTables_wrapper table td a {
    color: #000;
    text-decoration: none;
}

    .dataTables_wrapper table td a:hover {
        cursor: pointer;
    }

.dataTables_wrapper .fg-toolbar {
    font-size: 12px;
}

.dataTables_wrapper .dataTables_info {
    float: left;
    padding: 15px 10px;
}

.dataTables_wrapper .dataTables_paginate {
    float: right;
    text-align: right;
    width: auto;
    padding: 15px 10px;
    margin: 0;
}

    .dataTables_wrapper .dataTables_paginate .ui-button {
        padding: 2px 6px;
        margin: 0;
        cursor: pointer;
    }

    .dataTables_wrapper .dataTables_paginate span,
    .dataTables_wrapper .dataTables_paginate span a {
        background-color: white;
    }

    .dataTables_wrapper .dataTables_paginate .fg-button {
        background-color: #E5E5E5;
        width: 10px;
        overflow: hidden;
    }

        .dataTables_wrapper .dataTables_paginate .fg-button.first {
            text-indent: -1000px;
            margin: 0 2px;
            background-image: url('../img/ui-icons_454545_256x240.png');
            background-position: -333px -159px;
        }

        .dataTables_wrapper .dataTables_paginate .fg-button.previous {
            text-indent: -1000px;
            margin: 0 2px;
            background-image: url('../img/ui-icons_454545_256x240.png');
            background-position: -302px -159px;
        }

        .dataTables_wrapper .dataTables_paginate .fg-button.next {
            text-indent: -1000px;
            margin: 0 2px;
            background-image: url('../img/ui-icons_454545_256x240.png');
            background-position: -284px -159px;
        }

        .dataTables_wrapper .dataTables_paginate .fg-button.last {
            text-indent: -1000px;
            margin: 0 2px;
            background-image: url('../img/ui-icons_454545_256x240.png');
            background-position: -317px -159px;
        }

    .dataTables_wrapper .dataTables_paginate span a.fg-button {
        width: auto;
    }

        .dataTables_wrapper .dataTables_paginate span a.fg-button.ui-state-disabled {
            border: 1px solid #555;
            border-radius: 5px;
            opacity: 1;
            color: #555;
        }

table.dataTable thead th {
    font-weight: bold;
    color: #555555;
}

table.dataTable th.dt-left, table.dataTable td.dt-left {
    text-align: left;
}

table.dataTable th.dt-center, table.dataTable td.dt-center, table.dataTable td.dataTables_empty {
    text-align: center;
}

table.dataTable th.dt-right, table.dataTable td.dt-right {
    text-align: right;
}

/**
    grid icons
*/
.dataTable tbody tr td.dt-center input[type=button] {
    width: 36px;
    height: 36px;
    text-indent: -1000px;
    overflow: hidden;
    border: none;
    background: url('../img/icon_sprite.png') no-repeat 0 0;
    cursor: pointer;
}

.dataTable tbody tr td.dt-center span {
    width: 36px;
    height: 36px;
    display: block;
    margin: 0 auto;
}

.dataTable tbody tr td.dt-center.add input {
    background-position: 0 0;
}

    .dataTable tbody tr td.dt-center.add input:hover {
        background-position: 0 -36px;
    }

.dataTable tbody tr td.dt-center.delete input {
    background-position: -72px 0;
    vertical-align: middle;
}

.dataTable tbody tr td.dt-center.delete input.disabled, .dataTable tbody tr td.dt-center.delete input.disabled:hover {
    background-position: -72px -108px;
    cursor:default;
}

    .dataTable tbody tr td.dt-center.delete input:hover {
        background-position: -72px -36px;
    }

.dataTable input.down {
    background-position: -583px 0;
}

    .dataTable input.down:hover {
        background-position: -583px -36px;
    }

.dataTable tbody tr td.dt-center.edit input {
    background-position: -36px 0;
}

    .dataTable tbody tr td.dt-center.edit input:hover {
        background-position: -36px -36px;
    }

    .dataTable tbody tr td.dt-center.edit input.disabled, .dataTable tbody tr td.dt-center.edit input.disabled:hover {
        background-position: -36px -108px;
        cursor: default;
    }

.dataTable tbody tr td.dt-center.duplicate input {
    background-position: -2232px 0;
}

    .dataTable tbody tr td.dt-center.duplicate input:hover {
        background-position: -2232px -36px;
    }

.dataTable tbody tr td.dt-center.preview input {
    background-position: -180px 0;
}

.dataTable tbody tr td.dt-center.preview input:hover {
    background-position: -180px -36px;
}

.dataTable tbody tr td.dt-center.settings input {
    background-position: -2088px 0;
}

    .dataTable tbody tr td.dt-center.settings input:hover {
        background-position: -2088px -36px;
    }

.dataTable tbody tr td.dt-center.status input {
    background-position: -2592px 0;
}

    .dataTable tbody tr td.dt-center.status input:hover {
        background-position: -2592px -36px;
    }

.dataTable tbody tr td.dt-center input.up {
    background-position: -540px 0;
}

    .dataTable tbody tr td.dt-center input.up:hover {
        background-position: -540px -36px;
        cursor: pointer;
    }

.dataTable tbody tr td.dt-center.view input {
    background-position: -1944px 0;
}

    .dataTable tbody tr td.dt-center.view input:hover {
        background-position: -1944px -36px;
        cursor: pointer;
    }

.dataTable tbody tr td.dt-center.share input {
    background-position: -468px 0;
}

    .dataTable tbody tr td.dt-center.share input:hover {
        background-position: -468px -36px;
    }

.dataTable tbody tr td.dt-center.resend input {
    background-position: -2772px 0;
}

    .dataTable tbody tr td.dt-center.resend input:hover {
        background-position: -2772px -36px;
    }

    .dataTable tbody tr td.dt-center.send-message input.disabled, .dataTable tbody tr td.dt-center.send-message input.disabled:hover {
        background-position: -2772px -108px;
        cursor: default;
    }

.dataTable tbody tr td.dt-center.recovery input {
    background-position: -2772px 0;
}

    .dataTable tbody tr td.dt-center.recovery input:hover {
        background-position: -2772px -36px;
    }

.dataTable tbody tr td.dt-center.setPassword input {
    background-position: -36px 0;
}

    .dataTable tbody tr td.dt-center.setPassword input:hover {
        background-position: -36px -36px;
    }

.pointer-disabled {
   pointer-events: none;
  cursor: default;
  text-decoration: none;
 }